Chat

Send message

AuthBearer (JWT)
GroupChat
Rate limitSee Rate Limits
POST/api/chat/projects/{projectId}/chats/{chatId}/messages

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);
import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await chat.sendMessage(
  "proj_yw1O2XhDkLhQ",
  "E5rQimn8gSJSXSVU",
  {
    type: "hard drive compress",
    content: "array override",
    e2ee: "microchip calculate",
    replyTo: "matrix navigate",
    mentions: "feed program"
  }
);
const { data: result } = await chat.sendMessage(
  "proj_yw1O2XhDkLhQ",
  "E5rQimn8gSJSXSVU",
  {
    type: "hard drive compress",
    content: "array override",
    e2ee: "microchip calculate",
    replyTo: "matrix navigate",
    mentions: "feed program"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
chatIdstringYes

Request Body

json
{
  "type": "audio",
  "content": "circuit synthesize",
  "e2ee": {
    "version": 1,
    "scheme": "mudbase-e2ee-v1",
    "ciphertext": "101.43.167.167",
    "nonce": "capacitor reboot",
    "ephemeralPublicKey": "protocol transmit",
    "senderKeyId": "SfkvCAWQlgw91XdF"
  },
  "replyTo": "program quantify",
  "mentions": [
    "microchip navigate"
  ]
}
{
  "type": "audio",
  "content": "circuit synthesize",
  "e2ee": {
    "version": 1,
    "scheme": "mudbase-e2ee-v1",
    "ciphertext": "101.43.167.167",
    "nonce": "capacitor reboot",
    "ephemeralPublicKey": "protocol transmit",
    "senderKeyId": "SfkvCAWQlgw91XdF"
  },
  "replyTo": "program quantify",
  "mentions": [
    "microchip navigate"
  ]
}

Responses

201Message sent
json
{
  "success": true,
  "data": {
    "_id": "65a1b2c3d4e5f6789012345g",
    "content": "Hello everyone",
    "sender": "65a1b2c3d4e5f6789012345",
    "createdAt": "2024-01-15T10:00:00.000Z"
  }
}
{
  "success": true,
  "data": {
    "_id": "65a1b2c3d4e5f6789012345g",
    "content": "Hello everyone",
    "sender": "65a1b2c3d4e5f6789012345",
    "createdAt": "2024-01-15T10:00:00.000Z"
  }
}
400
401

Errors

CodeMeaning
400
401
Edit this page on GitHub